org.apache.poi.hemf.record.emf

## Enum HemfMisc.HemfModifyWorldTransformMode

- java.lang.Object
- - java.lang.Enum<HemfMisc.HemfModifyWorldTransformMode>
  - - org.apache.poi.hemf.record.emf.HemfMisc.HemfModifyWorldTransformMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HemfMisc.HemfModifyWorldTransformMode>
  Enclosing class:
    HemfMisc

      public static enum HemfMisc.HemfModifyWorldTransformMode
      extends java.lang.Enum<HemfMisc.HemfModifyWorldTransformMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MWT_IDENTITY` Reset the current transform using the identity matrix.
    `MWT_LEFTMULTIPLY` Multiply the current transform.
    `MWT_RIGHTMULTIPLY` Multiply the current transform.
    `MWT_SET` Perform the function of an EMR_SETWORLDTRANSFORM record

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `id`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HemfMisc.HemfModifyWorldTransformMode` | `valueOf(int id)`
    `static HemfMisc.HemfModifyWorldTransformMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HemfMisc.HemfModifyWorldTransformMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MWT_IDENTITY

          public static final HemfMisc.HemfModifyWorldTransformMode MWT_IDENTITY

      Reset the current transform using the identity matrix. In this mode, the specified transform data is ignored.

    - #### MWT_LEFTMULTIPLY

          public static final HemfMisc.HemfModifyWorldTransformMode MWT_LEFTMULTIPLY

      Multiply the current transform. In this mode, the specified transform data is the left multiplicand, and the transform that is currently defined in the playback device context is the right multiplicand.

    - #### MWT_RIGHTMULTIPLY

          public static final HemfMisc.HemfModifyWorldTransformMode MWT_RIGHTMULTIPLY

      Multiply the current transform. In this mode, the specified transform data is the right multiplicand, and the transform that is currently defined in the playback device context is the left multiplicand.

    - #### MWT_SET

          public static final HemfMisc.HemfModifyWorldTransformMode MWT_SET

      Perform the function of an EMR_SETWORLDTRANSFORM record

  - ### Field Detail

    - #### id

          public final int id

  - ### Method Detail

    - #### values

          public static HemfMisc.HemfModifyWorldTransformMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HemfMisc.HemfModifyWorldTransformMode c : HemfMisc.HemfModifyWorldTransformMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HemfMisc.HemfModifyWorldTransformMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static HemfMisc.HemfModifyWorldTransformMode valueOf(int id)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.